Authentication & Balance
Check SMS unit and wallet balance
GET
Retrieves the authenticated user's current SMS credit balance, pay-as-you-go (PAYG) monetary cash balance, and active account currency.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
Current account balance details
application/json- response
status?stringdata?curl -X GET 'https://api.smspro.com/api/v1/public/sms/balance'Example Response
{ "status": "string", "data": { "balance": 0, "smsUnits": 0, "currency": "string" }}